# -*- coding: UTF-8 -*-

import wx

from i18n import get_
from actions import HelloAction


class Controller (object):
    def __init__ (self, application):
        self._application = application

        self.ID_HELLO = wx.NewId()
        self._menu = None


    def initialize (self):
        global _
        _ = get_()

        # Регистрируем HelloAction
        self._application.actionController.register (
            HelloAction (self._application),
            None)

        # Проверим, что главное окно создано
        if self._application.mainWindow is not None:
            # Создадим меню "MyFirstPlugin"
            self._menu = wx.Menu()
            self._application.mainWindow.mainMenu.Insert (0, self._menu, _(u"MyFirstPlugin"))

            # Cоздаем пункт меню для HelloAction
            self._application.actionController.appendMenuItem (
                HelloAction.stringId,
                self._menu)


    def destroy (self):
        # Проверим, что главное окно создано
        if self._application.mainWindow is not None:
            # Удалим созданный пункт меню
            self._application.actionController.removeMenuItem (HelloAction.stringId)

            # Найдем позицию нашего меню и удалим его
            pos = self._application.mainWindow.mainMenu.FindMenu (self._menu.GetTitle())
            if pos != wx.NOT_FOUND:
                self._application.mainWindow.mainMenu.Remove (pos)

        # Удалим зарегистрированный action
        self._application.actionController.removeAction (HelloAction.stringId)
