# -*- coding: UTF-8 -*-

import os.path

from outwiker.core.pluginbase import Plugin
from outwiker.core.commands import getCurrentVersion
from outwiker.core.version import Version


__version__ = u"0.0.6"

if getCurrentVersion() < Version (1, 8, 0, 742):
    print ("MyFirstPlugin. OutWiker version requirement: 1.8.0.742")
else:
    from outwiker.core.system import getOS
    from controller import Controller
    from .i18n import set_

    class PluginMyFirst (Plugin):
        """
        Первый плагин для OutWiker
        """
        def __init__ (self, application):
            super (PluginMyFirst, self).__init__ (application)
            self._controller = Controller (application)


        @property
        def name (self):
            return u"MyFirstPlugin"


        @property
        def description (self):
            return _(u'''This is a first plugin''')


        @property
        def url (self):
            return _(u"http://example.com")


        @property
        def version (self):
            return __version__


        def initialize (self):
            if self._application.mainWindow is not None:
                self._initlocale(u"myfirstplugin")

            self._controller.initialize()


        def destroy (self):
            self._controller.destroy()


        def _initlocale (self, domain):
            langdir = unicode (os.path.join (os.path.dirname (__file__), "locale"), getOS().filesEncoding)
            global _

            try:
                _ = self._init_i18n (domain, langdir)
            except BaseException, e:
                print e

            set_(_)
